Page MenuHomePhabricator

Create Buster image
Closed, ResolvedPublic

Related Objects

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptFeb 21 2019, 11:07 PM

bootstrap-vz 0.9.11+20180121git-1 doesn't know about Buster. It also tries to install Puppet from puppetlabs.com APT repository.

I have a hacked bootstrap-vz version that was able to build an image successfully. Pending tests.

However, it seems bootstrap-vz is up for adoption. I have some experience using packer to create KVM images and I think that would be more future-proof at this point but I would like to first see if there is any hope for bootstrap-vz just so we don't spend too much time on this right now.

GTirloni added a comment.EditedFeb 22 2019, 5:57 PM

Our Puppet repository isn't prepared for Buster so this experiment will have to stop here for now.

In any case, the image I created booted fine but failed to run Puppet, as expected.

I used cloud-bootstrapvz-buster-tmp.openstack.eqiad.wmflabs to build it. It has a hacked up version of bootstrap-vz that knows about Buster.

I will leave the image debian-10.0-buster-test deactivated in OpenStack. Attached is the console.log for the first run.

GTirloni triaged this task as Medium priority.Feb 22 2019, 5:59 PM

You need to use facter 2, it's built in buster-wikimedia, then it should work fine, that's also what we do in production. But at this point I don't recommend to make buster images available to the WMCS public, let's wait until it's released.

@MoritzMuehlenhoff thanks, it's mostly so we can get used to building it and find the problems beforehand but we're not sharing it with the WMCS community at this point.

Change 494287 had a related patch set uploaded (by Andrew Bogott; owner: Andrew Bogott):
[operations/puppet@production] boostrap-vz: add initial buster manifest

https://gerrit.wikimedia.org/r/494287

Change 494287 merged by Andrew Bogott:
[operations/puppet@production] boostrap-vz: add initial buster manifest

https://gerrit.wikimedia.org/r/494287

Change 494379 had a related patch set uploaded (by Andrew Bogott; owner: Andrew Bogott):
[operations/puppet@production] boostrapvz: update buster manifest and install on build hosts

https://gerrit.wikimedia.org/r/494379

Change 494379 merged by Andrew Bogott:
[operations/puppet@production] boostrapvz: update buster manifest and install on build hosts

https://gerrit.wikimedia.org/r/494379

Andrew added a subscriber: Andrew.Mar 5 2019, 9:56 PM

I have a pending pull request for bootstrap-vz which should allow us to build without local hacks: https://github.com/andsens/bootstrap-vz/pull/496

Change 494629 had a related patch set uploaded (by Andrew Bogott; owner: Andrew Bogott):
[operations/puppet@production] bootstrap-vz: use a custom build of bootstrap-vz on Buster

https://gerrit.wikimedia.org/r/494629

Change 494629 merged by Andrew Bogott:
[operations/puppet@production] bootstrap-vz: use a custom build of bootstrap-vz on Buster

https://gerrit.wikimedia.org/r/494629

Change 494643 had a related patch set uploaded (by Andrew Bogott; owner: Andrew Bogott):
[operations/puppet@production] bootstrapvz: don't use the 'puppet' plugin for buster

https://gerrit.wikimedia.org/r/494643

Change 494643 merged by Andrew Bogott:
[operations/puppet@production] bootstrapvz: don't use the 'puppet' plugin for buster

https://gerrit.wikimedia.org/r/494643

Andrew closed this task as Resolved.Mar 6 2019, 6:07 PM

I've merged buster patches upstream, and built a +wmf release with those patches. It's in repropro, named 'python-bootstrap-vz'. I presume that eventually we can go back to using the upstream package if it's rebuilt for future buster releases.

There's a build host in the 'openstack' project which can build buster base images which work.